unity8-tests is installed as a depends of unity8-common, but unity8-tests does not seem like a package most users need

Bug #1676996 reported by Christopher Townsend on 2017-03-28
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Canonical System Image
High
Michał Sawicz
unity8 (Ubuntu)
High
Michał Sawicz

Bug Description

unity8-common depends on unity8-tests, but it seems like unity8-tests and its dependencies are not necessary on most users' systems.

Related branches

summary: unity8-tests is installed as a depends of unity8-common, but
- unity8-tests does not seem a package normal users need
+ unity8-tests does not seem like a package most users need
Michał Sawicz (saviq) wrote :

The actual dependency is:

> unity8-tests | unity-application-impl,

So in production environment it's qtdeclaratvie5-qtmir-plugin that fulfils this dep, but I agree, this is left from when unity8-fakeenv was still usable, and used, as a replacement for qtmir. Not really the case any more.

Changed in unity8 (Ubuntu):
status: New → Triaged
importance: Undecided → High
assignee: nobody → Michał Sawicz (saviq)
Changed in canonical-devices-system-image:
status: New → Triaged
importance: Undecided → High
assignee: nobody → Michał Sawicz (saviq)
milestone: none → u8c-z
Michał Sawicz (saviq) on 2017-03-28
Changed in canonical-devices-system-image:
status: Triaged → In Progress
Changed in unity8 (Ubuntu):
status: Triaged → In Progress
Christopher Townsend (townsend) wrote :

Great, thanks for looking into this!

Michał Sawicz (saviq) on 2017-04-06
Changed in canonical-devices-system-image:
milestone: u8c-z → u8c-2
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers